/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\BCM_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_FY_LONGNUM') CREATE INDEX IDX_BCM_FY_LONGNUM ON T_BCM_STRUCTOFFY ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_AUDITTTIAL_LONGNUM') CREATE INDEX IDX_BCM_AUDITTTIAL_LONGNUM ON T_BCM_STRUCTOFAUDITTRIAL ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_PERIOD_LONGNUM') CREATE INDEX IDX_BCM_PERIOD_LONGNUM ON T_BCM_STRUCTOFPERIOD ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_UD_LONGNUM') CREATE INDEX IDX_BCM_UD_LONGNUM ON T_BCM_STRUCTOFDEFINED ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_CURRENCY_LONGNUM') CREATE INDEX IDX_BCM_CURRENCY_LONGNUM ON T_BCM_STRUCTOFCURRENCY ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_PROCESS_LONGNUM') CREATE INDEX IDX_BCM_PROCESS_LONGNUM ON T_BCM_STRUCTOFPROCESS ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_PROJECT_LONGNUM') CREATE INDEX IDX_BCM_PROJECT_LONGNUM ON T_BCM_STRUCTOFPROJECT ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_CHANGETYPE_LONGNUM') CREATE INDEX IDX_BCM_CHANGETYPE_LONGNUM ON T_BCM_STRUCTOFCHANGETYPE ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_SCENE_LONGNUM') CREATE INDEX IDX_BCM_SCENE_LONGNUM ON T_BCM_STRUCTOFSCENE ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_RULE_LONGNUM') CREATE INDEX IDX_BCM_RULE_LONGNUM ON T_BCM_STRUCTOFRULE ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_ACCOUNT_LONGNUM') CREATE INDEX IDX_BCM_ACCOUNT_LONGNUM ON T_BCM_STRUCTOFACCOUNT ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_ICENTITY_LONGNUM') CREATE INDEX IDX_BCM_ICENTITY_LONGNUM ON T_BCM_STRUCTOFICENTITY ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BCM_VERSION_LONGNUM') CREATE INDEX IDX_BCM_VERSION_LONGNUM ON T_BCM_STRUCTOFVERSION ( FLONGNUMBER );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\BCM_constraint.sql **/
